﻿

/*Slider */


.SliderContainer {
    margin: auto;
}


.SlideImg {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .SlideImg img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

/*Slider  End*/




/*Newset Products  and best selling product*/

.widgetContainer {
    width: 89%;
    text-align: right;
}



.cont {
    border: 1px solid #0000003b;
    border-radius: 5px;
    position: relative;
}

.product-card {
    border-radius: 20px;
    overflow: hidden;
    padding: 0 15px 20px 15px;
}



.product-card__image {
    height: 220px;
    overflow: hidden;
}

    .product-card__image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }



.product-card__info {
    padding: 20px 10px;
    border-radius: 10px;
}

.product-name {
    height: 70px;
}

.product-card__title {
    margin-bottom: 10px;
    text-align: center;
}

.product-card__description {
    font-size: 0.9rem;
    color: #666;
    margin-bottom: 20px;
}

.product-card__price-row {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

.product-card__price {
    font-weight: 600;
}

.product-card__btn {
    background-color: var(--theme-color);
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 50px;
    font-size: 0.9rem;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.3s ease;
}



@media (max-width: 480px) {
    .cont {
        max-width: 100%;
        padding: 0 20px;
    }

    .product-card__image {
        height: 200px;
    }

    .product-card__title {
        font-size: 1.3rem;
    }

    .product-card__description {
        font-size: 0.8rem;
    }

    .product-card__price {
        font-size: 1.1rem;
    }

    .product-card__btn {
        padding: 8px 16px;
        font-size: 0.8rem;
    }
}




/*Newest Products and BestSelling End */


/*Gallery*/
.GalleryWidgetContainer {
    display: flex;
    width: 75%;
    padding: 3rem;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-radius: 20px;
}

.GalleryWidget {
    display: flex;
    align-items: center;
    gap: 300px;
    height: auto;
}

.GalleryCaption {
    position: relative;
    border: 5px solid white;
    border-radius: 70px 70px 0px 70px;
}

.GalleryWidgetContainer {
    background-color: var(--theme-color);
    background-image: linear-gradient(179deg, var(--theme-color) 0%, #fff 162%);
    position: relative;
    border: 1px solid mediumpurple;
}


.GalleryCaption p {
    color: wheat;
    font-size: 40px;
}

.GalleryCaption {
    position: relative;
    z-index: 2;
    padding: 50px;
}

.Gallery {
    width: 280px;
    height: 400px;
}

.GalleryContainer {
    position: relative;
}

    .GalleryContainer .swiper-slide {
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 18px;
        font-size: 22px;
        font-weight: bold;
        color: #fff;
        object-fit: cover;
    }

        .GalleryContainer .swiper-slide img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

/*Gallery End*/


/*change language*/



.display-wrapper {
    display: flex;
    align-items: center;
    position: relative;
}

    .display-wrapper i {
        font-size: 20px;
    }
/* Basic styling for the language selector */
.language-selector {
    display: inline-block;
    position: relative;
    margin: 0 30px;
}

/* Language display (current language and chevron) */
.language-display {
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 8px 10px;
    font-size: 16px;
    background-color: white;
    transition: border-color 0.3s ease;
}

    .language-display span {
        text-wrap: nowrap;
    }

    .language-display:hover {
        border-color: #007bff;
    }

/* Chevron icon */
#chevron-icon {
    margin-right: 8px;
    font-size: 12px;
    transition: transform 0.3s ease;
}

/* Rotate the chevron when dropdown is visible */
.language-selector.open #chevron-icon {
    transform: rotate(180deg);
}

/* Hidden by default, the dropdown menu */
.language-options {
    display: none;
    position: absolute;
    top: 60px;
    left: 0px;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 150px;
    z-index: 10;
    transition: all ease 1ms;
}

@media only screen and (max-width: 991px) {
    .language-options {
        top: 33px;
        left: 50px;
    }
}

.language-options a {
    text-decoration: none;
    color: rgb(65, 65, 65);
}

.fade-in {
    opacity: 1;
    animation-name: fadeInOpacity;
    animation-iteration-count: 1;
    animation-timing-function: ease-in;
    animation-duration: 350ms;
}

@keyframes fadeInOpacity {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.language-options ul {
    list-style: none !important;
    padding: 0;
    margin: 0;
}

.language-options li {
    padding: 8px 10px;
    cursor: pointer;
    font-size: 16px;
}

    .language-options li:hover {
        background-color: #f0f0f0;
    }




/*slider 2    */




.carousel__hero .bg-image {
    position: absolute;
}

.carousel__hero {
    overflow: hidden;
    position: relative;
}

.carousel__item {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 100px;
}

    .carousel__item h2 {
        font-size: 40px;
        font-weight: 600;
        width: 80%;
        margin-bottom: 30px;
    }

    .carousel__item p {
        font-size: 18px;
        width: 80%;
    }

    .carousel__item .item-image img {
        border-radius: 20px;
        width: 550px !important;
        height: 550px;
        object-fit: cover;
    }

    .carousel__item .item-text {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        text-align: right;
    }

@media (max-width: 1200px) {
    .carousel__item {
        flex-direction: column;
        text-align: center;
    }

        .carousel__item .item-image img {
            height: auto;
        }

        .carousel__item h2 {
            font-size: 40px;
        }
}

@media (max-width: 576px) {
    .carousel__item h2 {
        font-size: 30px;
    }

    .carousel__item .item-image {
        display: none;
    }

    .carousel__item .item-text {
        text-align: center;
    }
}

.delay-1s {
    animation-delay: 1s;
}

.delay-2s {
    animation-delay: 2s;
}

.delay-3s {
    animation-delay: 3s;
}



/* Your existing styles */
.btn-one, .btn-one-secondary {
    position: relative;
    display: inline-block;
    overflow: hidden;
    padding-left: 40px;
    padding-right: 40px;
    font-size: 16px;
    line-height: 55px;
    font-weight: 600;
    text-transform: capitalize;
    border-radius: 30px;
    transition: all 0.3s linear;
    font-family: var(--thm-font-2);
    z-index: 2;
}

.btn-one {
    background-color: transparent;
    color: #ffffff !important;
}

    .btn-one:before {
        position: absolute;
        top: 110px;
        left: -50px;
        right: -50px;
        height: 170px;
        content: "";
        background: black;
        transform: translateY(-55px);
        border-radius: 50%;
        transition: transform 0.8s;
        z-index: 1;
    }

    .btn-one:after {
        content: "";
        position: absolute;
        top: 0px;
        left: 0px;
        bottom: 0px;
        right: 0px;
        border-radius: 30px;
        background-color: red;
        opacity: 1;
        transform: scaleX(1);
        transition: all 0.8s;
        z-index: -1;
    }

    .btn-one:hover:before, .btn-one:focus:before {
        transform: translateY(-170px);
    }

    .btn-one:hover, .btn-one:focus {
        color: #ffffff;
    }

.btn-one-secondary {
    background-color: white;
    color: black;
}

    .btn-one-secondary:before {
        position: absolute;
        top: 110px;
        left: -50px;
        right: -50px;
        height: 170px;
        content: "";
        background: red;
        transform: translateY(-55px);
        border-radius: 50%;
        transition: transform 0.8s;
        z-index: 1;
    }

    .btn-one-secondary:after {
        content: "";
        position: absolute;
        top: 0px;
        left: 0px;
        bottom: 0px;
        right: 0px;
        border-radius: 30px;
        background-color: transparent;
        opacity: 1;
        transform: scaleX(1);
        transition: all 0.8s;
        z-index: -1;
    }

    .btn-one-secondary:hover:before, .btn-one-secondary:focus:before {
        transform: translateY(-170px);
    }

    .btn-one-secondary:hover, .btn-one-secondary:focus {
        color: white;
    }


.btn-one .txt {
    position: relative;
    z-index: 1;
}

.btn-one-secondary .txt {
    position: relative;
    z-index: 1;
}

.buttons {
    margin-top: 2rem;
}


/*newsletter widget    */
.newsletter-banner p {
    font-size: 44px;
    color: #fff;
    font-weight: bold;
}

.newletter-inputs {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    gap: 30px;
    padding: 30px;
}

    .newletter-inputs input {
        background-color: transparent;
        padding: 17px;
        border-radius: 40px;
        border: 1px solid #fff;
        color: #fff !important;
    }

        .newletter-inputs input:focus {
            color: #fff;
        }

        .newletter-inputs input::placeholder {
            color: #fff;
        }

/*category product widget*/
.gear-container2 {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20em;
    height: 20em;
    transition: transform 2s, border-color 1s; /* Smooth transition for animation and color */
}

.badgeContainer:hover .center-circle2 {
    animation: spin 5s linear;
}

.center-circle2 {
    position: relative;
    width: 100%;
    height: 100%;
    padding: 0;
    border-radius: 50%;
    list-style: none;
    margin: 0;
}

    .center-circle2 > * {
        display: block;
        position: absolute;
        top: 52%;
        left: 51%;
        width: 38px;
        height: 37px;
        margin: -1.5em;
        background: #cccccc;
    }

        .center-circle2 > *:nth-of-type(1) {
            transform: rotate(5deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(2) {
            transform: rotate(35deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(3) {
            transform: rotate(65deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(4) {
            transform: rotate(95deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(5) {
            transform: rotate(125deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(6) {
            transform: rotate(155deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(7) {
            transform: rotate(185deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(8) {
            transform: rotate(215deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(9) {
            transform: rotate(245deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(10) {
            transform: rotate(275deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(11) {
            transform: rotate(305deg) translate(97px);
        }

        .center-circle2 > *:nth-of-type(12) {
            transform: rotate(335deg) translate(97px);
        }

.tooth {
    display: block;
    border-radius: 7px;
    transition: all 0.5s ease;
}

.ring2 {
    display: block;
    position: absolute;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    border: solid 30px #cccccc; /* Black color */
    display: flex;
    justify-content: center;
    align-items: center;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.inner-image {
    width: 110px;
}

    .inner-image img {
        width: 100%;
    }

.badgeContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0px;
    text-decoration: none;
}

    .badgeContainer:hover .tooth {
        background: red;
    }

.badgeTitle {
    font-size: 30px;
    font-weight: bo;
    color: #2c2c2c;
}
/* News widget */
.bg-image {
    position: absolute;
}

.Categories .swiper-button-prev,
.Categories .swiper-button-next {
    position: absolute;
    top: 50%;
    transform: translateY(73%);
    z-index: 10;
    cursor: pointer;
    font-size: 18px;
    /* padding: 26px; */
    /* background-color: rgb(201 201 201); */
    color: red !important;
    border-radius: 40px;
    width: 50px !important;
    height: 50px !important;
}

.Categories .swiper-button-prev {
    right: -13px !important;
}

.Categories .swiper-button-next {
    left: -11px !important;
}


.services-card {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    text-align: center;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    border-radius: 20px;
    width: 420px;
    height: 610px;
    margin: 10px 0;
    cursor: pointer;
}

    .services-card:hover .circle {
        background-color: red !important;
    }

    .services-card i {
        transition: all 0.5s ease;
    }

    .services-card:hover i {
        color: white !important;
    }

.service-card-image img {
    border-radius: 20px;
}

.service-card-button button {
    border: none;
}

.circle {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    transition: all 0.5s ease;
}

@media only screen and (max-width: 768px) {
    .swiper-button-next {
        left: 17px !important;
    }

    .swiper-button-prev {
        right: 17px !important;
    }

    .services-card {
        width: 310px;
    }
}

/*artickle widget(news2)*/

.articleCard {
    display: flex;
    flex-direction: column;
    width: 365px !important;
    overflow: hidden;
}

.article-image-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

    .article-image-container img {
        border-radius: 10px;
        width: 100%;
        height: 230px;
        object-fit: cover;
    }

.image-addon {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 120px !important;
    height: auto !important;
}

.article-image-container span {
    display: block;
    margin-top: 20px;
}

.article-body {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px 0px;
}

    .article-body::before {
        content: "";
        display: block;
        width: 100%;
        height: 1px;
        background: #ccc;
        margin-bottom: 15px;
    }

    .article-body h3,
    .article-body p,
    .article-body .btn-one {
        margin-bottom: 10px;
    }

    .article-body h3,
    .article-image-container span,
    .article-body .btn-one {
        transition: all 0.5s ease
    }


        .article-body h3:hover,
        .article-image-container span:hover,
        .article-body .btn-one:hover {
            color: red;
            cursor: pointer;
        }



/*news home slider*/
.hero-slider {
    height: 60vh;
    min-height: 500px;
}

.hero-slide {
    background-size: cover;
    background-position: center;
    position: relative;
}

    .hero-slide::after {
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient( 180deg, rgba(0, 0, 0, 40%) 0, rgba(0, 0, 0, 0.8) 100% );
    }

.hero-slider .swiper-button-next,
.hero-slider .swiper-button-prev {
    background-color: transparent;
    width: 24px;
    height: 24px;
    color: black;
    font-size: 14px;
    border-radius: 50%;
    transition: opacity 0.3s ease;
}

.hero-slider .swiper-button-disabled,
.hero-slider .swiper-button-disabled {
    opacity: 0 !important;
}


.hero-slider .swiper-button-next::after,
.hero-slider .swiper-button-prev::after {
    font-family: "Font Awesome 6 Pro"; /* Updated font-family */
    font-weight: 900; /* Ensure this matches the icon style */
    font-size: inherit;
}


.hero-slider .swiper-button-prev::after {
    content: "\f054" !important;
}

.hero-slider .swiper-button-next::after {
    content: "\f053" !important;
}


.hero-slider .swiper-button-prev {
    right: 5% !important;
    top: 50%;
    background-color: #ffffff40;
    padding: 20px;
    border-radius: 50%;
    color: #ffffff;
}

.hero-slider .swiper-button-next {
    left: 5% !important;
    top: 50%;
    background-color: #ffffff40;
    padding: 20px;
    border-radius: 50%;
    color: #ffffff;
}

.slide-content {
    position: absolute;
    bottom: 15%;
    left: 0;
    right: 0;
    color: white;
    z-index: 1;
    padding: 0 1.5rem;
}

.slide-content {
    max-width: 90%;
    margin: 0 auto;
}

    .slide-content h1 {
        font-size: 2rem; /* Adjust default font size */
    }

    .slide-content p {
        font-size: 1rem; /* Adjust default font size */
    }

    .slide-content button {
        font-size: 1rem; /* Adjust default font size */
    }
/* Responsive Typography */
@media (max-width: 576px) {
    .slide-content h1 {
        font-size: 1.5rem !important;
    }

    .slide-content p {
        font-size: 0.9rem !important;
    }

    .slide-content button  {
        font-size: 0.8rem !important;
    }
}

@media (min-width: 768px) {
    .slide-content h1 {
        font-size: 3rem !important;
    }

    .slide-content p {
        font-size: 1.5rem !important;
    }

    .slide-content button {
        font-size: 1rem !important;
    }
}

@media (min-width: 992px) {
    .slide-content h1 {
        font-size: 3.5rem !important;
    }

    .slide-content p {
        font-size: 1.5rem !important;
    }

    .slide-content button {
        font-size: 1rem !important;
    }
}


@media (max-width: 768px) {
    .hero-slider {
        height: 50vh;
        min-height: 400px;
    }
    .slide-content {
        bottom: 10%;
    }
}

/*selected news  widget for news home */
.news-card {
    cursor: pointer;
    height: 420px;
    transition: transform 0.3s ease;
    border: none;
    width: 100%;
    max-width: 300px;
    justify-content: space-between;
}

    .news-card:hover {
        transform: translateY(-5px);
        text-decoration: none;
    }

    .news-card img {
        height: 250px;
        object-fit: cover;
        border-bottom: 3px solid var(--theme-color);
    }
@media (max-width: 768px) {
    .news-card{
        height: auto;
    }
}
.NewsHomeEdition-swiper .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    opacity: 1;
    transition: all 0.3s ease;
}

.NewsHomeEdition-swiper .swiper-pagination-bullet-active {
    background: var(--theme-color);
    width: 25px;
    border-radius: 30px;
}

.NewsHomeEdition-swiper .swiper-pagination {
    bottom: 0px !important;
    left: 0;
    width: 100%;
    text-align: center;
}

.NewsHomeEdition-swiper .swiper-pagination-bullet:hover {
    background: var(--theme-color); /* Hover color */
}



/*selected video  widget for news home */
.video-card {
    cursor: pointer;
    height: 400px;
    transition: transform 0.3s ease;
    border: none;
    width: 100%;
    max-width: 300px;
}

    .video-card:hover {
        transform: translateY(-5px);
        text-decoration: none;
    }

    .video-card img {
        height: 250px;
        object-fit: cover;
        border-bottom: 3px solid var(--theme-color);
    }
@media (max-width: 768px) {
 
    .video-card {
        height: auto;
    }
}


.video-slider .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    opacity: 1;
    transition: all 0.3s ease;
}

.video-slider .swiper-pagination-bullet-active {
    background: var(--theme-color);
    width: 25px;
    border-radius: 30px;
}

.video-slider .swiper-pagination {
    bottom: 0px !important;
    left: 0;
    width: 100%;
    text-align: center;
}

.video-slider .swiper-pagination-bullet:hover {
    background: var(--theme-color); /* Hover color */
}



/*selected podcast widget*/
.podcast-card {
    background-color: #f7f7f7;
    border-radius: 12px;
    overflow: hidden;
    color: #424242;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
    width: 100%;
    max-width: 300px;
    display: inline-block;
    margin: 10px;
}


.podcast-image {
    width: 100%;
    height: auto;
}

.podcast-info {
    padding: 16px;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
}

    .podcast-info i {
        font-size: 60px;
        margin: 20px 0px;
    }

.podcast-title {
    font-size: 16px;
    margin: 8px 0;
    height: 40px;
    font-weight: bold;
    overflow: hidden;
}

.podcast-author {
    font-size: 16px;
    color: #5a5a5a;
}

.podcast-date {
    font-size: 14px;
    color: #2b2b2b;
}

.image-container {
    position: relative;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 48px;
    color: rgba(255, 255, 255, 0.8);
}

.image-container:hover .play-button {
    color: #FFD700; /* Gold highlight on hover */
}

.podcast-card,
.play-button {
    transition: all 0.3s ease;
}

    .podcast-card:hover {
        transform: scale(1.02);
        text-decoration: none;
    }

@media (max-width: 768px) {
    .podcast-title {
        font-size: 20px;
    }

    .podcast-author,
    .podcast-date {
        font-size: 14px;
    }
}
.selectedpodcasts .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    opacity: 1;
    transition: all 0.3s ease;
}

.selectedpodcasts .swiper-pagination-bullet-active {
    background: var(--theme-color);
    width: 25px;
    border-radius: 30px;
}

.selectedpodcasts .swiper-pagination {
    bottom: 0px !important;
    left: 0;
    width: 100%;
    text-align: center;
}

.selectedpodcasts .swiper-pagination-bullet:hover {
    background: var(--theme-color); /* Hover color */
}